QT       += core gui \
            quickwidgets

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++17

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

INCLUDEPATH += ../Lib

SOURCES += \
    ../Lib/SmithBasics.cpp \
    ../Lib/infodialog.cpp \
    ../Lib/showfile.cpp \
    main.cpp \
    GammaSmith.cpp

HEADERS += \
    ../Lib/SmithBasics.h \
    ../Lib/infodialog.h \
    ../Lib/showfile.h \
    GammaSmith.h

FORMS += \
    ../Lib/infodialog.ui \
    ../Lib/showfile.ui \
    GammaSmith.ui

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

RESOURCES += \
    resources.qrc

RC_ICONS = resource/icon.ico

DEFINES += \
    NDEBUG
